commit:     2e775ef350ad87a2f3c2cb29f2f8c64d64e09dfe
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 23 04:44:08 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec 23 05:12:32 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e775ef3

dev-python/cfn-lint: Bump to 0.83.7

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cfn-lint/Manifest               |  1 +
 dev-python/cfn-lint/cfn-lint-0.83.7.ebuild | 65 ++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 9fe3f2b6d297..6f06be0a3574 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,3 +1,4 @@
 DIST cfn-lint-0.83.4.tar.gz 3715966 BLAKE2B 
5e30c43ae9fec958ef048eeafacb9d05a00732bd79446ef652f9b3d41f9bdd262b35b028c6a20a5f93ec46cc8da0e8adfad5d87129a5d591812a89c4ced0e619
 SHA512 
d3dc80ec99959c4112a7bd87bcab9f261542f25c4529df9a8e5745901e1dc4a8ca94bdec829f8042a7f94eba6021fe08975e06d4596993a7a319ac861897e2cc
 DIST cfn-lint-0.83.5.tar.gz 3779609 BLAKE2B 
7ef8032e53a430fbcd7407b9573956ddd09af02475c0ffc730c6e26cef6eef97ee770b974b5e109ab1759e33b1ec9bd8b17c94a218e0c041bb2b0c53cdd3df32
 SHA512 
bb27abff9161116fc485301397321922e56a8c0f8382d0d28b82671d754907d0bd80c1c90d03b98b745d90807c8c3f4ebffbb8a78f219b86a489094c2184f17e
 DIST cfn-lint-0.83.6.tar.gz 3851281 BLAKE2B 
13a8e84430e89a492b5aba8194f3f8f8b441ed86e25feea9173ffcbee9875eb8dc2ec5e7c8140a77ef2c2cbc2fd074da9e7e39f0cab3f78b9c0bb5fd7d24724f
 SHA512 
42bd700657d7762df06e4f67b73427fa584e6c53779db900f4ce9fe604eb77e49c87d2ebe4daf0b21e0438d4d51d55a2b3e0b23cd435320ac082dd8926a363cd
+DIST cfn-lint-0.83.7.tar.gz 3875386 BLAKE2B 
52a3a4a4a76a787b39f17e4be1e1ba2920b3579bc99a82890d9ca21ed38240bf51eee7a04d2c97b31031816410439716d5623aa55b1bd02802ba456dd9e0bc2c
 SHA512 
28b6aaeb77cb4e5dc40234c5bdfbe9e3be4d0ea17ae4f6b68a381365f6097f51163cf5b23d1c0e98b7b9c6c53fe9d139439f84bf353c1f7d128a4d52d701c937

diff --git a/dev-python/cfn-lint/cfn-lint-0.83.7.ebuild 
b/dev-python/cfn-lint/cfn-lint-0.83.7.ebuild
new file mode 100644
index 000000000000..c48794f459c7
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.83.7.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+       https://github.com/aws-cloudformation/cfn-lint/
+       https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/aws-sam-translator-1.82.0[${PYTHON_USEDEP}]
+       dev-python/jsonpatch[${PYTHON_USEDEP}]
+       >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+       <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+       dev-python/junit-xml[${PYTHON_USEDEP}]
+       <dev-python/networkx-4[${PYTHON_USEDEP}]
+       >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+       >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+       >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+       >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unpin the deps
+       sed -e 's:~=[0-9.]*::' -i setup.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # TODO
+               
test/unit/module/test_template.py::TestTemplate::test_build_graph
+               # requires git repo
+               
test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+               # Internet
+               
test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+               
test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+               # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+               test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+               
test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+               
test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+               
test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+       )
+
+       # from tox.ini
+       local -x AWS_DEFAULT_REGION=us-east-1
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}

Reply via email to